at.chipkarte.client.bkf.soap

## Class TherapieTumorDoku

- Object
- - at.chipkarte.client.bkf.soap.TherapieTumorDoku

-     public class TherapieTumorDoku
      extends Object

  Enthält die Ergebnisdaten zur Therapiedokumentation Tumor, zum Aufruf der Funktion createTherapieTumorDoku.
  Achtung: Zumindest einer der Datumswerte von datumTumorboard, operationsdatum, datumNeoadjuvanteTherapie, datumPalliativeTherapie muss angegeben werden. Wird keiner der Datumswerte angegeben, wird die Fehlermeldung `TUM_NO_VALID_DATUM` ausgegeben.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TherapieTumorDoku()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getcMKategorie()` cM Kategorie nach UICC.
    `String` | `getcNKategorie()` cN Kategorie nach UICC.
    `String` | `getcTKategorie()` cT Kategorie nach UICC.
    `String` | `getDatumNeoadjuvanteTherapie()` Datum des Beginns der neoadjuvanten Therapie.
    `String` | `getDatumPalliativeTherapie()` Datum des Beginns der pallitativen Therapie.
    `String` | `getDatumTumorboard()` Datum des Tumorboards.
    `String` | `getHer2Status()` HER2 Status.
    `String` | `getHormonrezeptorStatus()` Hormonrezeptor-Status.
    `String` | `getNeoadjuvanteTherapie()` Neoadjuvante Therapie erhalten.
    `String` | `getObservanz()` Observanz.
    `String` | `getOperationsdatum()` Datum der Erstoperation.
    `String` | `getOperativeTherapie()` Operative Therapie.
    `String` | `getPalliativeTherapie()` Pallitative Therapie erhalten.
    `String` | `getSeite()` Betroffene Seite.
    `String` | `getSvNummer()` Sozialversicherungsnummer der Patientin.
    `String` | `getVersionsnummer()` Version der Dokumentation.
    `void` | `setcMKategorie(String cMKategorie)`
    `void` | `setcNKategorie(String cNKategorie)`
    `void` | `setcTKategorie(String cTKategorie)`
    `void` | `setDatumNeoadjuvanteTherapie(String datumNeoadjuvanteTherapie)`
    `void` | `setDatumPalliativeTherapie(String datumPalliativeTherapie)`
    `void` | `setDatumTumorboard(String datumTumorboard)`
    `void` | `setHer2Status(String her2Status)`
    `void` | `setHormonrezeptorStatus(String hormonrezeptorStatus)`
    `void` | `setNeoadjuvanteTherapie(String neoadjuvanteTherapie)`
    `void` | `setObservanz(String observanz)`
    `void` | `setOperationsdatum(String operationsdatum)`
    `void` | `setOperativeTherapie(String operativeTherapie)`
    `void` | `setPalliativeTherapie(String palliativeTherapie)`
    `void` | `setSeite(String seite)`
    `void` | `setSvNummer(String svNummer)`
    `void` | `setVersionsnummer(String versionsnummer)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TherapieTumorDoku

          public TherapieTumorDoku()

  - ### Method Detail

    - #### getSvNummer

          public String getSvNummer()

      Sozialversicherungsnummer der Patientin.
      Angabe: Bedingt. Es muss entweder eine `svNummer` oder ein mit e-card erstelltes `cardToken` (Eingangsparameter der Funktion `createTherapieTumorDoku()` angegeben werden.
      Wird die SV-Nummer und ein CardToken angegeben, muss das CardToken mit der zur SV-Nummer gehörenden e-card erstellt worden sein.
      Format: 10-stellig
      Returns:
        SvNummer

    - #### setSvNummer

          public void setSvNummer(String svNummer)

    - #### getVersionsnummer

          public String getVersionsnummer()

      Version der Dokumentation.
      Angabe: Muss.
      Mögliche Werte siehe `DokumentationVersionTypConstant`.
      ParameterID: 9003.
      Returns:
        Versionsnummer

    - #### setVersionsnummer

          public void setVersionsnummer(String versionsnummer)

    - #### getOperationsdatum

          public String getOperationsdatum()

      Datum der Erstoperation.
      Angabe: Kann. Darf nicht in der Zukunft liegen.
      Muss angegeben werden, wenn operative Therapie mit einem Wert ungleich '99' belegt ist.
      Format: TT.MM.JJJJ
      ParameterID: 0701.
      Returns:
        Operationsdatum

    - #### setOperationsdatum

          public void setOperationsdatum(String operationsdatum)

    - #### getSeite

          public String getSeite()

      Betroffene Seite.
      Angabe: Muss.
      Mögliche Werte siehe `BetroffeneSeiteTypConstant`.
      ParameterID: 0703
      Returns:
        Seite

    - #### setSeite

          public void setSeite(String seite)

    - #### getNeoadjuvanteTherapie

          public String getNeoadjuvanteTherapie()

      Neoadjuvante Therapie erhalten.
      Angabe: Muss.
      Mögliche Werte siehe `JaNeinTypConstant`.
      ParameterID: 0713
      Returns:
        NeoadjuvanteTherapie

    - #### setNeoadjuvanteTherapie

          public void setNeoadjuvanteTherapie(String neoadjuvanteTherapie)

    - #### getDatumTumorboard

          public String getDatumTumorboard()

      Datum des Tumorboards.
      Angabe: Bedingt. Muss angegeben werden, wenn keines der Felder Operationsdatum, Datum neoadjunvante Therapie, Datum palliative Therapie angegeben ist.
      Format: TT.MM.JJJJ
      Mögliche Werte: Muss kleiner (zeitlich früher) oder gleich dem Datum in den Parametern "Operationsdatum", "Datum neoadjunvante Therapie", "Datum palliative Therapie" sein.
      ParameterID: 0715
      Returns:
        DatumTumorboard

    - #### setDatumTumorboard

          public void setDatumTumorboard(String datumTumorboard)

    - #### getcTKategorie

          public String getcTKategorie()

      cT Kategorie nach UICC.
      Angabe: Muss.
      Mögliche Werte siehe `CTKategorieTypConstant`.
      ParameterID: 0716
      Returns:
        cTKategorie

    - #### setcTKategorie

          public void setcTKategorie(String cTKategorie)

    - #### getcNKategorie

          public String getcNKategorie()

      cN Kategorie nach UICC.
      Angabe: Muss.
      Mögliche Werte siehe `CNKategorieTypConstant`.
      ParameterID: 0717
      Returns:
        cNKategorie

    - #### setcNKategorie

          public void setcNKategorie(String cNKategorie)

    - #### getcMKategorie

          public String getcMKategorie()

      cM Kategorie nach UICC.
      Angabe: Muss.
      Mögliche Werte siehe `CMKategorieTypConstant`.
      ParameterID: 0718
      Returns:
        cMKategorie

    - #### setcMKategorie

          public void setcMKategorie(String cMKategorie)

    - #### getHormonrezeptorStatus

          public String getHormonrezeptorStatus()

      Hormonrezeptor-Status.
      Angabe: Muss.
      Mögliche Werte siehe `HormonrezeptorStatusTypConstant`.
      ParameterID: 0719
      Returns:
        HormonrezeptorStatus

    - #### setHormonrezeptorStatus

          public void setHormonrezeptorStatus(String hormonrezeptorStatus)

    - #### getHer2Status

          public String getHer2Status()

      HER2 Status.
      Angabe: Muss.
      Mögliche Werte siehe `Her2StatusTypConstant`.
      ParameterID: 0720
      Returns:
        Her2Status

    - #### setHer2Status

          public void setHer2Status(String her2Status)

    - #### getDatumNeoadjuvanteTherapie

          public String getDatumNeoadjuvanteTherapie()

      Datum des Beginns der neoadjuvanten Therapie.
      Angabe: Bedingt. Darf nicht in der Zukunft liegen.
      Muss angegeben werden, wenn Neoadjunvante Therapie gleich '1' ist.
      Format: TT.MM.JJJJ
      ParameterID: 0721
      Returns:
        DatumNeoadjuvanteTherapie

    - #### setDatumNeoadjuvanteTherapie

          public void setDatumNeoadjuvanteTherapie(String datumNeoadjuvanteTherapie)

    - #### getPalliativeTherapie

          public String getPalliativeTherapie()

      Pallitative Therapie erhalten.
      Angabe: Muss.
      Mögliche Werte siehe `JaNeinUnbekanntTypConstant`.
      ParameterID: 0722
      Returns:
        PalliativeTherapie

    - #### setPalliativeTherapie

          public void setPalliativeTherapie(String palliativeTherapie)

    - #### getDatumPalliativeTherapie

          public String getDatumPalliativeTherapie()

      Datum des Beginns der pallitativen Therapie.
      Angabe: Bedingt. Darf nicht in der Zukunft liegen.
      Muss angegeben werden, wenn PalliativeTherapie gleich '1' ist.
      Format: TT.MM.JJJJ
      ParameterID: 0723
      Returns:
        DatumPallitativeTherapie

    - #### setDatumPalliativeTherapie

          public void setDatumPalliativeTherapie(String datumPalliativeTherapie)

    - #### getObservanz

          public String getObservanz()

      Observanz.
      Angabe: Muss.
      Mögliche Werte siehe `JaNeinUnbekanntTypConstant`.
      ParameterID: 0724
      Returns:
        Observanz

    - #### setObservanz

          public void setObservanz(String observanz)

    - #### getOperativeTherapie

          public String getOperativeTherapie()

      Operative Therapie.
      Angabe: Muss.
      Mögliche Werte siehe `OperativeTherapieTypConstant`.
      ParameterID: 0725
      Returns:
        OperativeTherapie

    - #### setOperativeTherapie

          public void setOperativeTherapie(String operativeTherapie)